Bug 1306460 - Khaleesi - wait_for_ssh script is not OS X friendly
Khaleesi - wait_for_ssh script is not OS X friendly
Status: NEW
Product: khaleesi
Classification: Community
Component: kcli (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: tkammer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-10 17:23 EST by Brian Demers
Modified: 2016-02-15 06:01 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Gerrithub.io 262856 None None None 2016-02-12 05:14 EST

  None (edit)
Description Brian Demers 2016-02-10 17:23:12 EST
The library/wait_for_ssh has a couple dependencies on gnu utilities.
sed the '-r' and 'timeout' (possibly others)

Work around:
install 'coreutils' via ports or brew and adjust PATH.
Comment 1 yfried 2016-02-11 07:27:50 EST
The proper way is to use wait_for built-in module: https://review.gerrithub.io/#/c/259018/

The tricky part is the reboot. I've yet to figure a reliable way to use ansible to reboot the machines.
Comment 2 Attila Darazs 2016-02-15 06:01:35 EST
It's very nice that Yair is trying to solve this, but FYI only Fedora 21+/RHEL7 is supported/tested for now as a host OS for running jobs:

http://khaleesi.readthedocs.org/en/latest/khaleesi.html#prerequisites

Note You need to log in before you can comment on or make changes to this bug.